<script src="https://accounts.google.com/gsi/client" async defer></script>

<script>
  window.onload = function() {
    google.accounts.id.initialize({
      client_id: '36157675801-72a9ibacfqbidnafmip0sipgt1u4kkvl.apps.googleusercontent.com',
      callback: ''
    })
    google.accounts.id.prompt();
  }


  const insertProduct = async () => {
    const response = await fetch('https://api.gemlay.com/product?pagination=true&pageSize=5000');
    const myJson = await response.json()



    const url = "https://shoppingcontent.googleapis.com/content/v2.1/590000094/products?key=AIzaSyDQ6xrHF8rZ9EB7M3KJ6Pd_jlKeI_Tpngg";
const uploadProduct = []
    myJson?.product?.map((product, index) => {
    
    const data = {
      "offerId": product?.productId,
      "title": product?.title,
      "description": product?.tagLine,
      "link": "https://gemlay.com/jewellery/" + product?.slug,
      "imageLink": product?.bannerImage?.yellowGold ? product?.bannerImage?.yellowGold : product?.bannerImage?.whiteGold ? product?.bannerImage?.whiteGold : product?.bannerImage?.roseGold,
      "contentLanguage": "en",
      "targetCountry": "IN",
      "feedLabel": "IN",
      "channel": "online",
      "availability": "in stock",
      "condition": "new",
      "googleProductCategory": "Apparel & Accessories",
      "gtin": "",
      "mpn": "HFJPS5388G",
      "brand": "Garnet Lanee",
      "gender": product?.gender,
      "price": {
        "value": product?.grandTotal,
        "currency": "INR"
      },
      "shipping": [{
        "country": "IN",
        "service": "Standard shipping",
        "price": {
          "value": "1000",
          "currency": "INR"
        }
      }],
      "shippingWeight": {
        "value": "200",
        "unit": "grams"
      }
    }
    uploadProduct.push(data)
  })
  const other_params = {
    headers: {
      "content-type": "application/json; charset=UTF-8"
    },
    body: uploadProduct,
    method: "POST",
  };


  fetch(url, other_params)
    .then(function(response) {
      if (response.ok) {
        alert(response.json());
      } else {
        throw new Error("Could not reach the API: " + response.statusText);
      }
    }).then(function(data) {
      document.getElementById("message").innerHTML = data.encoded;
    }).catch(function(error) {
      document.getElementById("message").innerHTML = error.message;
    });
 

  }
</script>

<button onclick="insertProduct()">execute</button>
<!-- <button onclick="execute()">execute</button>
<button onclick="userAction()">Call All Product</button> -->